import { SvgIconProps } from "../../app/types/types";


export function ConnenctionFailedIcon(props: SvgIconProps) {
  return (
    <svg width="125" height="124" viewBox="0 0 125 124" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <circle cx="62.5" cy="62" r="62" fill="#F0F0F0" />
      <path
        d="M62.5896 36.333C47.5749 36.333 33.9796 42.4878 24.1377 52.4391L31.1824 59.5648C39.5307 51.9894 50.5184 47.333 62.5896 47.333C74.6609 47.333 85.6521 51.9858 93.9968 59.5648L101.034 52.4463C91.1962 42.4913 77.6044 36.333 62.5896 36.333ZM62.5896 54.6663C52.5157 54.6663 43.3301 58.4908 36.3013 64.7425L43.9902 72.5199C49.0326 68.2482 55.5172 65.6663 62.5896 65.6663C69.662 65.6663 76.1502 68.2445 81.189 72.5199L88.8708 64.7497C81.8456 58.4943 72.6635 54.6663 62.5896 54.6663ZM62.5896 72.9997C57.5146 72.9997 52.8564 74.7852 49.1516 77.7406L62.5896 91.333L76.0276 77.7406C72.3228 74.7852 67.6646 72.9997 62.5896 72.9997Z"
        fill="#A51F7E"
      />
      <path
        d="M78.7754 83.556L83.9014 78.3711L91.5903 86.1484L99.2793 78.3711L104.405 83.556L96.7163 91.3333L104.405 99.1107L99.2793 104.296L91.5903 96.5182L83.9014 104.296L78.7754 99.1107L86.4644 91.3333L78.7754 83.556Z"
        fill="#582E71"
      />
    </svg>
  )
}
